### Hierarchy

- unknown
  - GetTradesReply

## Index

### Constructors

- constructor

### Methods

- addTrades
- clearTradesList
- getTradesList
- serializeBinary
- setTradesList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetTradesReply(): GetTradesReply

- Inherited from jspb.Message.constructor

  #### Returns GetTradesReply

## Methods

### addTrades

- addTrades(value?: TradeInfo, index?: number): TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2451

  #### Parameters

  - ##### Optional value: TradeInfo

  - ##### Optional index: number

  #### Returns TradeInfo

### clearTradesList

- clearTradesList(): GetTradesReply

- - Defined in src/protobuf/grpc_pb.d.ts:2450

  #### Returns GetTradesReply

### getTradesList

- getTradesList(): TradeInfo []

- - Defined in src/protobuf/grpc_pb.d.ts:2448

  #### Returns TradeInfo []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2453

  #### Returns Uint8Array

### setTradesList

- setTradesList(value: TradeInfo []): GetTradesReply

- - Defined in src/protobuf/grpc_pb.d.ts:2449

  #### Parameters

  - ##### value: TradeInfo []

  #### Returns GetTradesReply

### toObject

- toObject(includeInstance?: boolean): GetTradesReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2454

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetTradesReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetTradesReply

- - Defined in src/protobuf/grpc_pb.d.ts:2457

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetTradesReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetTradesReply, reader: BinaryReader): GetTradesReply

- - Defined in src/protobuf/grpc_pb.d.ts:2458

  #### Parameters

  - ##### message: GetTradesReply

  - ##### reader: BinaryReader

  #### Returns GetTradesReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetTradesReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2456

  #### Parameters

  - ##### message: GetTradesReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetTradesReply ): GetTradesReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2455

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetTradesReply

  #### Returns GetTradesReply . AsObject

Generated using TypeDoc